#! /usr/bin/env node

const commandLineArgs = require('command-line-args');

const releaseLegacy = require('./functions/releaseLegacy');


const optionDefinitions = [
  { name: 'bucket', alias: 'b', type: String },
  { name: 'dev', alias: 'd', type: Boolean },
  { name: 'webplayer', type: Boolean},
  { name: 'prefix', alias: 'p', type: String },
  { name: 'root', alias: 'r', type: String },
  { name: 'target', alias: 't', type: String },
  { name: 'version', alias: 'v', type: String },
];

const options = commandLineArgs(optionDefinitions);
const pkg = require(`${options.root}/package.json`);
// const version = options.dev ? pkg.version_dev : pkg.version;//unused

releaseLegacy(pkg, options.bucket, options.prefix, options.target);
